@echo off
cls
echo.
echo                                    ....::: NOSTROMO :::....
echo.
echo                        *** A map inspired by the first movie "ALIEN". ***
echo.
echo                                    By Frode ' Puritan' Waksvik
echo.
echo					Released: March 2009
pause
echo Scanning for necessary files...

if not exist Nostromo.map echo Can't find Nostromo.map

echo.
echo Backing up original files

if exist game.con      copy /y game.con gamBetmp.con
if exist user.con      copy /y user.con usrBetmp.con
if exist defs.con      copy /y defs.con dfsBetmp.con		

echo Done.
echo.
echo Initializing new files

copy /y Nuser.con user.con
copy /y Ngame.con game.con

echo Done.
echo.
eduke32  -map nostromo.map
cls
echo off

echo Deleting temporary versions of files

erase user.con
erase game.con

echo Restoring original files

if exist gamBetmp.con  ren gamBetmp.con game.con
if exist usrBetmp.con  ren usrBetmp.con user.con
if exist dfsBetmp.con  ren dfsBetmp.con defs.con

echo Done.
